Extensions
Show a hosted code tool artifact
GET /v1/hosted-code-artifacts/{contentHash} · SDK getHostedCodeArtifact · CLI deployments hosted-code-artifact show
GET
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
contentHash*stringMatch
^sha256:[a-f0-9]{64}$x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$HostedCodeArtifactResponse
application/json- response
byteSize*number|||contentHash*stringMatch
^sha256:[a-f0-9]{64}$createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timelanguage*stringValue in
"javascript""python"sourceByteSize*number|||sourceContentHash*stringMatch
^sha256:[a-f0-9]{64}$sourceLanguage*stringValue in
"javascript""python""typescript"curl -X GET "https://example.com/v1/hosted-code-artifacts/string" \ -H "x-deployments-environment: string"{ "byteSize": 0, "contentHash": "string", "createdAt": "2019-08-24T14:15:22Z", "language": "javascript", "sourceByteSize": 0, "sourceContentHash": "string", "sourceLanguage": "javascript"}